Subject: Re: 2.6.35-rc4 ppc crash when loading radeon modeset=1

From: Michel Dänzer <[email-masked]>
Date: Tue, 13 Jul 2010 19:22:58 +0200

On Die, 2010-07-13 at 19:05 +0200, jjDaNiMoTh wrote: 
> 
> So, I've now the acceleration. The main problem was radeon.agpmode,
> setting it to -1 (and removing all files in xorg.conf.d related to
> radeon) fixes all issue (also the freeze on glxgears). Now I have
> ~1500 FPS, and I'm fine with it (before I got 100 FPS).
> 
> I get the acceleration also with a non-KMS capable kernel, so I think
> we got the point. I will add the option to modprobe.conf for archPPC.

Note that e.g. on my PowerBook agpmode=1 works (mostly) stable, and if
AGP works it performs significantly better than PCI.

> I tried a program which use a lot opengl, the only thing I see is
> ERROR: GL error 1282
> ERROR: Ignoring 1 openGL errors

Something the app does causes Mesa to raise a GL_INVALID_OPERATION
error. This may be a bug in the app or in Mesa.

-- 
Earthling Michel Dänzer           |                http://www.vmware.com
Libre software enthusiast         |          Debian, X and DRI developer